Subject: Re: bug#59122: 29.0.50; global-text-scale-adjust not working

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Nov 2022 08:57:56 +0200

> Cc: [email-masked]
> Date: Sun, 13 Nov 2022 01:23:58 +0100
> From:  Rudolf Adamkovič via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > Thanks, I can confirm that this patch works.
> 
> Works here too, but the function still increases the font size right
> after I execute it.

This is the intended behavior, so no need to try to "fix" it.

> In other words, to have *no change* in font size, I have do:
> 
> 1. type `M-x' and `global-text-scale-adjust' and `RET'
> 2. type `-'
> 3. type `q'
> 
> `text-scale-adjust' does this too, so I guess ... a feature?

Yes, but why would you need to invoke the command if you don't want to
change the size of the font?  What kind of use case is that?